Actualización de seguridad para Apple Mac OS X

MacWorkspace

Apple ha lanzado recientemente una nueva actualización de seguridad para su sistema operativo Mac OS X

La actualización solventa múltiples vulnerabilidades que podrían ser aprovechadas por un atacante local o remoto para saltarse restricciones de seguridad, acceder a información sensible, escalar privilegios, provocar denegaciones de servicio o incluso ejecutar código arbitrario en un sistema vulnerable.

Esta es la primera gran actualización del año (con el código 2008-001). Los componentes y software afectados son muchos: Safari, Mail, Samba y Termina entre otros.

A continuación se exponen con brevedad algunas de las vulnerabilidades solucionadas:

* Se ha encontrado un error no especificado en el manejo de las URLs en Safari que podría ser aprovechado por un atacante remoto, por medio de una URL especialmente manipulada, para causar una corrupción de memoria, pudiendo provocar una denegación de servicio o ejecutar código arbitrario.

* Se ha encontrado un error en el manejo de URLs del tipo file:// en Mail. Ésto podría ser aprovechado por un atacante remoto para ejecutar aplicaciones arbitrarias sin advertir al usuario que pincha en la URL.

* Se ha encontrado una vulnerabilidad en Launch Services que podría permitir que una aplicación desinstalada del sistema fuera lanzada por medio de Time Machine.

* Se ha encontrado un error de límites en Samba que podría ser aprovechador por un atacante remoto para comprometer un sistema vulnerable.

* Existe un error en la validación de entradas en Terminal cuando se procesan esquemas URL, lo que podría ser aprovechado para lanzar una aplicación con parámetros arbitrarios desde la línea de comandos. Esto podría permitir la ejecución de código arbitrario cuando un usuario visita una página web especialmente manipulada.

* Existe un error no especificado en NFS al manejar cadenas mbuf que podría ser aprovechado para causar una corrupción de memoria, pudiendo provoca el apagado del sistema o permitir una posible ejecución de código arbitrario.

* Se han encontrado múltiples vulnerabilidades en X11 X Font Server que podrían ser explotadas por un atacante local para escalar privilegios.

* Se ha detectado un error en X11 que podría causar que no se aplicaran ciertos ajustes, tales como “Allow connections from network client”.

* Un fallo en Control Parental podría causar a un revelación de información cuando se realiza una petición para desbloquear un sitio web.

Las actualizaciones a la versión 10.5.2 pueden ser instaladas a través de la funcionalidad de actualización (Software Update) de Mac OS X.

Pablo Molina (Hispasec)

Leer la biografía del autor  Ocultar la biografía del autor